## org.apache.batik.gvt
Interface ShapePainter

All Known Implementing Classes:
  CompositeShapePainter, FillShapePainter, MarkerShapePainter, StrokeShapePainter

public interface ShapePainter

Renders the shape of a `ShapeNode`.

Method Summary
`java.awt.Shape` `getPaintedArea()` Returns the area painted by this shape painter.
`java.awt.geom.Rectangle2D` `getPaintedBounds2D()` Returns the bounds of the area painted by this shape painter
`java.awt.Shape` `getSensitiveArea()` Returns the area covered by this shape painter (even if nothing is painted there).
`java.awt.geom.Rectangle2D` `getSensitiveBounds2D()` Returns the bounds of the area covered by this shape painter (even if nothing is painted there).
`java.awt.Shape` `getShape()` Gets the shape this shape painter is associated with.
`boolean` `inPaintedArea(java.awt.geom.Point2D pt)` Returns true if `pt` is in the painted area.
`boolean` `inSensitiveArea(java.awt.geom.Point2D pt)` Returns true if `pt` is in the sensitive area.
`void` `paint(java.awt.Graphics2D g2d)` Paints the specified shape using the specified Graphics2D.
`void` `setShape(java.awt.Shape shape)` Sets the Shape this shape painter is associated with.

Method Detail

### paint

    public void paint(java.awt.Graphics2D g2d)

  Paints the specified shape using the specified Graphics2D.

  Parameters:
    `g2d` - the Graphics2D to use

### getPaintedArea

    public java.awt.Shape getPaintedArea()

  Returns the area painted by this shape painter.

### getPaintedBounds2D

    public java.awt.geom.Rectangle2D getPaintedBounds2D()

  Returns the bounds of the area painted by this shape painter

### inPaintedArea

    public boolean inPaintedArea(java.awt.geom.Point2D pt)

  Returns true if `pt` is in the painted area.

### getSensitiveArea

    public java.awt.Shape getSensitiveArea()

  Returns the area covered by this shape painter (even if nothing is painted there).

### getSensitiveBounds2D

    public java.awt.geom.Rectangle2D getSensitiveBounds2D()

  Returns the bounds of the area covered by this shape painter (even if nothing is painted there).

### inSensitiveArea

    public boolean inSensitiveArea(java.awt.geom.Point2D pt)

  Returns true if `pt` is in the sensitive area.

### setShape

    public void setShape(java.awt.Shape shape)

  Sets the Shape this shape painter is associated with.

  Parameters:
    `shape` - new shape this painter should be associated with. Should not be null.

### getShape

    public java.awt.Shape getShape()

  Gets the shape this shape painter is associated with.

  Returns:
    shape associated with this painter

Copyright © 2004 Apache Software Foundation. All Rights Reserved.